ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
Subject RE: non - fatal error with Ant 1.4
Date Tue, 23 Oct 2001 19:52:03 GMT
Sun release notes for JAXP 1.1 specifically mention JIT-related problems 
and recommend using JDK 1.3.x as the only workaround. I presume they mean 
using the hotspot engine vs the classic one.


Please respond to
To:     "''" <>

Subject:        RE: non - fatal error with Ant 1.4

> -----Original Message-----
> From: Matt McAuliffe []
> Sent: 23 October 2001 07:28
> To: ''
> Subject: non - fatal error with Ant 1.4
>       I'm getting the following non-fatal error using Ant 1.4
> and jdk1.2.2
> on windows:
>       A nonfatal internal JIT (3.10.107(x)) error 'Relocation
> error: NULL
> relocation target' has occurred in :
>         'org/apache/crimson/parser/Parser2.maybeComment (Z)Z':
> Interpreting method.
>         Please report this error in detail to
>       This error doesn't appear to cause any problems,
> however when I use
> jdk 1.3.1 I don't get this error.
>       Does anyone have any ideas?

Yes. Use jdk 1.3.1 ;-)

We too have experienced this error message and haven't found it
to cause any problems.

This has been reported by other users as happening in earlier
jdk versions.

If you don't wish to upgrade to jdk 1.3.1 (or maybe 1.3) then
just ignore the message.


This e-mail, and any attachment, is confidential. If you have received
it in error, please delete it from your system, do not use or disclose
the information in any way, and notify me immediately. The contents of
this message may contain personal views which are not the views of the
BBC, unless specifically stated.

View raw message